<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "provider_practice_directory_excluded".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ProviderPracticeDirectoryExcluded".
 *
 * Columns in table "provider_practice_directory_excluded" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $directory_setting_id
 * @property integer $directory_user_id
 * @property integer $provider_id
 * @property string $date_added
 *
 */
abstract class BaseProviderPracticeDirectoryExcluded extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'provider_practice_directory_excluded';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ProviderPracticeDirectoryExcluded|ProviderPracticeDirectoryExcludeds', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array('provider_id, date_added', 'required'),
            array('directory_setting_id, directory_user_id, provider_id', 'numerical', 'integerOnly'=>true),
            array('directory_setting_id, directory_user_id', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, directory_setting_id, directory_user_id, provider_id, date_added', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'directory_setting_id' => Yii::t('app', 'Directory Setting'),
            'directory_user_id' => Yii::t('app', 'Directory User'),
            'provider_id' => Yii::t('app', 'Provider'),
            'date_added' => Yii::t('app', 'Date Added'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('directory_setting_id', $this->directory_setting_id);
        $criteria->compare('directory_user_id', $this->directory_user_id);
        $criteria->compare('provider_id', $this->provider_id);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
